Bug 115015 - Strings in new Cryptography section of Options' User Data tab don't wrap if they are too long
Summary: Strings in new Cryptography section of Options' User Data tab don't wrap if t...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
6.0.0.2 rc
Hardware: All All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:6.1.0 target:6.0.3
Keywords: bibisected, bisected
Depends on:
Blocks: Options-Dialog-UserData
  Show dependency treegraph
 
Reported: 2018-01-15 08:49 UTC by Thomas Lendo
Modified: 2018-03-09 04:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Cut labels in l10n with longer description than English (36.13 KB, image/png)
2018-01-15 08:49 UTC, Thomas Lendo
Details
Comparison before and after (46.04 KB, image/png)
2018-02-22 12:05 UTC, Xisco Faulí
Details
Linux deb x86_64 2018-02-21_21:56:55 (40.52 KB, image/png)
2018-02-25 23:27 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2018-01-15 08:49:43 UTC
Created attachment 139101 [details]
Cut labels in l10n with longer description than English

Strings in the new Cryptography section in Tools > Options > LibreOffice > User Data don't wrap automatically if they are too long. This is true in languages with longer description than in English, e.g. German.

1. A new line under "OpenPGP signing key: [No key]" should be added if the localized label "OpenPGP signing key:" is too long.

2. A new line under "OpenPGP encryption key: [No key]" should be added if the localized label "OpenPGP encryption key:" is too long.

3. The distance between label and text box should always be the same as in the Address section above ("Company:   [    ]" instead of "OpenPGP-Signaturschlüssel:[No key]") and as it is in the English UI.

4. The localized string for "When encrypting documents, always encrypt to self" behind the checkbox should wrap automatically to a new line(s) if necessary so that the whole string is readable.
Comment 1 Xisco Faulí 2018-01-15 10:57:43 UTC
Confirmed in english as well:

Version: 6.1.0.0.alpha0+
Build ID: 0ef0740298b45379bbf8d00d50beffee7a2f812a
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 2 Xisco Faulí 2018-01-15 11:02:14 UTC
Menu entries added in

author	Katarina Behrens <Katarina.Behrens@cib.de>	2017-12-12 14:03:05 +0100
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-12-19 05:12:41 +0100
commit	5aa5843d4dc668899776192d8200ddddb06a6156 (patch)
tree	03f5bd331162fd11171030cefe8148c0c03576d6
parent	e027dc4629db2959e2c62b97b463c1846849dbd7 (diff)
List private GPG keys in crypto config dialog
Comment 3 Commit Notification 2018-02-21 12:18:21 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16a3d8f4f010ad9b9413ac4d40ef8fe0f7d633e7

tdf#115015: make crypto settings better fit allocated space

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Katarina Behrens (CIB) 2018-02-21 12:21:02 UTC
Hello good people, 

it'd be nice if some1 could take a daily with my patch (as of 22nd Feb at the soonest) and test if this is still the case w/ German UI on Windows, as I made a blind fix, sadly no (German) Windows build here
Comment 5 Xisco Faulí 2018-02-22 12:05:42 UTC
Created attachment 140057 [details]
Comparison before and after

I can't test it in German either, but the before and after comparison looks promising.
@Thomas Lendo, could you please test it in German?
Comment 6 Thomas Lendo 2018-02-25 23:27:00 UTC
Created attachment 140143 [details]
Linux deb x86_64 2018-02-21_21:56:55

Didn't find a newer Linux 64bit build with German langpack than

Version: 6.1.0.0.alpha0+
Build-ID: 0a46237093c1750ee69ddb6a365098dc1d06b758
CPU-Threads: 4; BS: Linux 4.13; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-02-21_21:56:55
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

The checkbox string does not wrap automatically.
Comment 7 Katarina Behrens (CIB) 2018-02-27 21:34:39 UTC
Mistyped bug ID but here's the fix: https://cgit.freedesktop.org/libreoffice/core/commit/?id=a5411abe23cdf1e4de3ab5abfe209a4cbf07e511
Comment 8 Thomas Lendo 2018-03-04 15:01:20 UTC
Perfect wrapping now. Thank you, Katarina.

Version: 6.1.0.0.alpha0+
Build-ID: e108a31a8fee09c2fa4031e45e45ed73bbdb7c6f
CPU-Threads: 4; BS: Linux 4.13; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-03-04_00:58:03
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 9 Commit Notification 2018-03-09 04:21:14 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1bf5ced5335e110f5e402d292e6c31bac617a655&h=libreoffice-6-0

tdf#115015: make crypto settings better fit allocated space

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.